<template>
  <div class="w-full h-full flex flex-col justify-center items-center">
    <h1>Hi everyone!</h1>
    <AdminGroupButtons />
  </div>
</template>

<script>
import Authorization from '~/classes/Authorization'
import AdminGroupButtons from '~/components/AdminGroupButtons.vue'
import { getAxiosHeaders } from '~/utils/utils'
export default {
  name: 'AdminMain',
  components: {
    AdminGroupButtons,
  },
  beforeMount() {
    if (this.$auth.user.authorizationLevel() < 100) {
      this.$router.push('/home')
    }
  },
  mounted() {
    this.loadUserRoles()
  },
  methods: {
    async loadUserRoles() {
      await this.$axios
        .$get('getAllAuthorizaions', getAxiosHeaders(this.$auth))
        .then((response) => {
          if (response.status.is_error) {
            return this.$toast.error(
              'Ocorreu um erro ao carregar niveis de acesso de usuários, verifique a estabilidade do servidor.',
              {
                closeOnSwipe: true,
                duration: 3000,
              }
            )
          }
          const authorizations = response.data.authorizations.map(
            (authorization) => new Authorization(authorization)
          )
          this.$store.commit('authorizations/setAuthorizations', authorizations)
        })
    },
  },
}
</script>
